package silanis.esl.enotaryDemo.demo;

import com.silanis.esl.sdk.DocumentPackage;
import com.silanis.esl.sdk.EslClient;
import com.silanis.esl.sdk.PackageId;
import com.silanis.esl.sdk.builder.DocumentBuilder;
import com.silanis.esl.sdk.builder.PackageBuilder;
import com.silanis.esl.sdk.builder.SignatureBuilder;
import com.silanis.esl.sdk.builder.SignerBuilder;

public class EslDemo {
	public static final String API_KEY = "your api key";
	public static final String API_URL = "https://sandbox.esignlive.com/api";
	private static final String URL_PATH = "url path";

	public String testEnforceCapture() {
		EslClient eslClient = new EslClient(API_KEY, API_URL);
		DocumentPackage pack = PackageBuilder.newPackageNamed("test Enforce Capture at Signature Level")
				.withSigner(SignerBuilder.newSignerWithEmail("signer1@mailinator.com")
						.withFirstName("John")
						.withLastName("Smith")
						.withCustomId("signer1"))
				.withDocument(DocumentBuilder.newDocumentWithName("Document 1")
						.fromFile(URL_PATH)
						.withSignature(SignatureBuilder.captureFor("signer1@mailinator.com")
								.enableEnforceCaptureSignature()
								.onPage(0)
								.atPosition(100, 100)))
				.build();
		PackageId packageId = eslClient.createPackageOneStep(pack);
		eslClient.sendPackage(packageId);

		return packageId.getId();
	}
	
	public static void main(String[] args) {
		String testEnforceCapture = new EslDemo().testEnforceCapture();
		System.out.println(testEnforceCapture);
	}
}
